{config, ...}: {
  sops.secrets."svc-vcnotifier-env" = {};

  systemd.tmpfiles.rules = [
    "d /srv/vcnotifier 0750 root root - -"
  ];

  virtualisation.oci-containers.containers.vcnotifier = {
    image = "ghcr.io/zyme-xd/vcping:latest";
    extraOptions = ["--rm"];
    environmentFiles = [config.sops.secrets."svc-vcnotifier-env".path];
    volumes = [
      "/srv/vcnotifier/data.json:/usr/src/app/dist/data.json"
    ];
  };
}
